export declare function isTemplateModule(moduleName: string): boolean;
export declare function isTestSupportModule(moduleName: string): boolean;
export declare function isComponentTemplateModule(moduleName: string): boolean;
interface IAppPathSegments {
    projectRootPath: string;
    modulePath: string;
    extension: string;
}
interface IAddonPathSegments extends IAppPathSegments {
    addonSource: string;
    addonNamespace: string;
    subdirectory: string;
}
export declare function addonPathBuilder({ projectRootPath, addonSource, addonNamespace, subdirectory, modulePath, extension, }: IAddonPathSegments): string;
export declare function appPathBuilder({ projectRootPath, modulePath, extension, }: IAppPathSegments): string;
export declare function buildPaths(projectRootPath: string, appName: string, addonNamespace: string, baseModulePath: string, extraAddonSources?: string[]): string[];
export {};
